### Virtual Method

# Gtk PrintOperationPreviewrender_page

#### Declaration [src]

    void
    render_page (
      GtkPrintOperationPreview* preview,
      int page_nr
    )

#### Description [src]

Renders a page to the preview.

This is using the print context that was passed to the `GtkPrintOperation::preview` handler together with `preview`.

A custom print preview should use this function to render the currently selected page.

Note that this function requires a suitable cairo context to be associated with the print context.

#### Parameters

`page_nr`

  Type: `int`

  The page to render.